Bug 247837 - [RHEL4 U5] kernel Panic: RIP: 0010:[<ffffffffa01469ec>] <ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47}
[RHEL4 U5] kernel Panic: RIP: 0010:[<ffffffffa01469ec>] <ffffffffa01469ec>{:3...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tom Coughlan
Martin Jenner
http://rhts.lab.boston.redhat.com/cgi...
:
Depends On:
Blocks: 461304
  Show dependency treegraph
 
Reported: 2007-07-11 12:26 EDT by Jeff Burke
Modified: 2008-12-15 08:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 08:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2007-07-11 12:26:29 EDT
Description of problem:
 While trying to install RHEL4 U5 x86_64 the system panic'd during the install.

Version-Release number of selected component (if applicable):
 2.6.9-55.EL

How reproducible:
 Unknown

Steps to Reproduce:
1. Install RHEL4-U5 on pe1800le.rhts.boston.redhat.com
  
Actual results:
Unable to handle kernel NULL pointer dereference at 00000000000000d0 RIP: 
<ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47}
PML4 3ccb1067 PGD 3ccae067 PMD 0 
Oops: 0000 [1] 
CPU 0 
Modules linked in: dm_snapshot dm_mirror dm_zero dm_mod ext3 jbd msdos raid6
raid5 xor raid1 raid0 ata_piix libata 3w_xxxx e1000 uhci_hcd ehci_hcd sr_mod
sd_mod scsi_mod lapic_status edd floppy loop nfs nfs_acl lockd sunrpc vfat fat
cramfs
Pid: 560, comm: anaconda Not tainted 2.6.9-55.EL
RIP: 0010:[<ffffffffa01469ec>]
<ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47}
RSP: 0000:ffffffff804b1e78  EFLAGS: 00010006
RAX: 0000000000000000 RBX: 000001003e1b0468 RCX: 000001000fbe5300
RDX: 000001003e1ee800 RSI: 0000000000000074 RDI: 000001003e1b0468
RBP: 0000000000000001 R08: ffffffff804384f0 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 000001003e1ce800
R13: 000000000000ecb4 R14: 000000000000ecbc R15: 0000000000000001
FS:  0000000000501ae0(005b) GS:ffffffff8054eb00(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000000000d0 CR3: 0000000000101000 CR4: 00000000000006e0
Process anaconda (pid: 560, threadinfo 000001003c8d8000, task 000001003e1ba1b0)
Stack: 0000000000000001 ffffffffa0147c01 0000000000000001 0000007480152c25 
       0000000000000246 000001003e1490c0 0000000000000001 00000000000000d1 
       000001003c8d9f58 0000007fbfffe040 
Call Trace:<IRQ> <ffffffffa0147c01>{:3w_xxxx:tw_interrupt+1133}
<ffffffff801137c6>{handle_IRQ_event+41} 
       <ffffffff80113d0e>{do_IRQ+331} <ffffffff8011105b>{ret_from_intr+0} 
        <EOI> 

Code: 8b 80 d0 00 00 00 f6 44 02 04 01 75 1c c7 84 87 14 10 00 00 
RIP <ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47} RSP
<ffffffff804b1e78>
CR2: 00000000000000d0
 <0>Kernel panic - not syncing: Oops
 Badness in panic at kernel/panic.c:118

Call Trace:<IRQ> <ffffffff80139f5d>{panic+522}
<ffffffff80111279>{apic_timer_interrupt+133} 
       <ffffffff80112322>{oops_end+160} <ffffffff8011233d>{oops_end+187} 
       <ffffffff80125ff9>{do_page_fault+1125} <ffffffff8013b006>{vprintk+873} 
       <ffffffff80111415>{error_exit+0}
<ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47} 
       <ffffffffa0147c01>{:3w_xxxx:tw_interrupt+1133}
<ffffffff801137c6>{handle_IRQ_event+41} 
       <ffffffff80113d0e>{do_IRQ+331} <ffffffff8011105b>{ret_from_intr+0} 
        <EOI> 
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:987

Call Trace:<IRQ> <ffffffff8027d43d>{i8042_panic_blink+239}
<ffffffff80139f0b>{panic+440} 
       <ffffffff80111279>{apic_timer_interrupt+133}
<ffffffff80112322>{oops_end+160} 
       <ffffffff8011233d>{oops_end+187} <ffffffff80125ff9>{do_page_fault+1125} 
       <ffffffff8013b006>{vprintk+873} <ffffffff80111415>{error_exit+0} 
       <ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47} 
       <ffffffffa0147c01>{:3w_xxxx:tw_interrupt+1133}
<ffffffff801137c6>{handle_IRQ_event+41} 
       <ffffffff80113d0e>{do_IRQ+331} <ffffffff8011105b>{ret_from_intr+0} 
        <EOI> 
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:990

Call Trace:<IRQ> <ffffffff8027d4cf>{i8042_panic_blink+385}
<ffffffff80139f0b>{panic+440} 
       <ffffffff80111279>{apic_timer_interrupt+133}
<ffffffff80112322>{oops_end+160} 
       <ffffffff8011233d>{oops_end+187} <ffffffff80125ff9>{do_page_fault+1125} 
       <ffffffff8013b006>{vprintk+873} <ffffffff80111415>{error_exit+0} 
       <ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47} 
       <ffffffffa0147c01>{:3w_xxxx:tw_interrupt+1133}
<ffffffff801137c6>{handle_IRQ_event+41} 
       <ffffffff80113d0e>{do_IRQ+331} <ffffffff8011105b>{ret_from_intr+0} 
        <EOI> 
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:992

Call Trace:<IRQ> <ffffffff8027d534>{i8042_panic_blink+486}
<ffffffff80139f0b>{panic+440} 
       <ffffffff80111279>{apic_timer_interrupt+133}
<ffffffff80112322>{oops_end+160} 
       <ffffffff8011233d>{oops_end+187} <ffffffff80125ff9>{do_page_fault+1125} 
       <ffffffff8013b006>{vprintk+873} <ffffffff80111415>{error_exit+0} 
       <ffffffffa01469ec>{:3w_xxxx:tw_scsiop_test_unit_ready_complete+47} 
       <ffffffffa0147c01>{:3w_xxxx:tw_interrupt+1133}
<ffffffff801137c6>{handle_IRQ_event+41} 
       <ffffffff80113d0e>{do_IRQ+331} <ffffffff8011105b>{ret_from_intr+0} 
        <EOI> 


Expected results:
 System should install

Additional info:
Comment 1 RHEL Product and Program Management 2008-09-03 09:16:09 EDT
Updating PM score.
Comment 3 Tom Coughlan 2008-11-24 11:41:28 EST
Jeff,

Please try to reproduce this with a recent RHEL 4 system. 

Do you still have access to this system: pe1800le.rhts.boston.redhat.com?

Tom
Comment 5 Tom Coughlan 2008-12-15 08:59:38 EST
The system in question was re-added to RHTS, and tested with recent RHEL-4 bits. The problem did not reproduce. Closing this.

Note You need to log in before you can comment on or make changes to this bug.